<template>
  <span>
    <q-avatar
      v-if='("icon" in icon)'
      :icon="icon.icon"
      :color="activeColor"
      text-color="white"
      :size="`${size}px` || '40px'"
      font-size="26px"
    />
      <div
        class='icon-case'
        :class='{transparent: activeColor === "transparent", "purple-background": makePurple }'
        :style='{ height: `${size}px`, width: `${size}px`, borderRadius: `${size}px` }'
        v-if='("svg" in icon)'>
        <img :src='icon.svg' :style='{ height: `${size/2}px`, width: `${size/2}px` }' />
    </div>
  </span>
</template>

<script>
import ActivityIcon from '@/assets/analysis.svg'
import SearchIcon from '@/assets/search.svg'
import ApiIcon from '@/assets/api.svg'
import CloseSidebarSvg from '@/assets/sidebar_hide_icon.svg'
import OpenSidebarSvg from '@/assets/sidebar_open.svg'
import SeeMoreTools from '@/assets/SeeMoreTools.svg'

export default {
  props: {
    tool: String,
    makePurple: Boolean,
    size: Number,
    noBackground: Boolean,
  },
  computed: {
    isCurrent () {
      return this.tool === this.$route.name
    },
    activeColor () {
      if (this.noBackground) return 'transparent'
      return (this.isCurrent | this.makePurple) ? 'purple-highlight' : 'faded-gray'
    },
    icon () {
      return {
        trending: { svg: ActivityIcon }, // 'trending_up',
        timeline: { svg: SeeMoreTools }, // 'trending_up',
        hashtags: { icon: 'fas fa-hashtag' },
        links: { icon: 'share' },
        activity: { icon: 'chat' },
        search: { svg: SearchIcon },
        api: { svg: ApiIcon },
        closeSidebar: { svg: CloseSidebarSvg },
        openSidebar: { svg: OpenSidebarSvg },
        seeMoreTools: { svg: SeeMoreTools },
      }[this.tool]
    }
  }
}
</script>

<style scoped lang="scss">
.icon-case {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-light-text);
  img {
    max-width: 37px;
    max-height: 37px;
  }
}

.purple-background {
  background-color: var(--color-primary);
}

.transparent {
  background-color: transparent;
}
</style>
